deleteCloudMongoDbUserList

Prev Next

Available in VPC

Delete a DB user to added to a Cloud DB for MongoDB instance.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET | POST /vmongodb/v2/deleteCloudMongoDbUserList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for MongoDB (VPC) APIs, see Cloud DB for MongoDB (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the Cloud DB for MongoDB instance whose DB user you want to delete
  • See getRegionList
  • First Region of the getRegionList query result (default)
cloudMongoDbInstanceNo String Required Instance number of Cloud DB for MongoDB
cloudMongoDbUserList.N.userName List[String] Required List of DB user account IDs to delete
  • See getCloudMongoDbUserList
  • Up to 10 can be entered
  • <E.g.> cloudMongoDbUserList.1.userName=user1&cloudMongoDbUserList.2.userName=user2
cloudMongoDbUserList.N.databaseName List[String] Required List of Cloud DB for MongoDB DB names to delete the DB user from
  • See getCloudMongoDbUserList
  • <E.g.>cloudMongoDbUserList.1.databaseName=db001&cloudMongoDbUserList.2.databaseName=db002
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The following is a sample request.

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmongodb/v2/deleteCloudMongoDbUserList
?regionCode=KR
&cloudMongoDbInstanceNo=2512****
&cloudMongoDbUserList.1.userName=user000
&cloudMongoDbUserList.1.databaseName=db000
&responseFormatType=json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response status codes

For information about the HTTP status codes common to all Cloud DB for MongoDB (VPC) APIs, see Cloud DB for MongoDB (VPC) response status codes.

Response example

The following is a sample response.

  • If responseFormatType=json

    {
    "deleteCloudMongoDbUserListResponse": {
        "requestId": "84457145-****-****-****-865eaa242b66",
        "returnCode": "0",
        "returnMessage": "success"
    }
    

}
```

  • If responseFormatType=xml (default)

    <?xml version="1.0" encoding="UTF-8"?>
    <deleteCloudMongoDbUserListResponse>
        <requestId>84457145-****-****-****-865eaa242b66</requestId>
        <returnCode>0</returnCode>
        <returnMessage>success</returnMessage>
    </deleteCloudMongoDbUserListResponse>